create_wave_port_from_two_conductors#

Hfss3dLayout.create_wave_port_from_two_conductors(assignment=None, edge_numbers=None)[source]#

Create a wave port.

Parameters:
assignmentlist, optional

List of the primitive names to create the wave port on. The list must have two entries, one entry for each of the two conductors, or the method is not executed.

edge_numberslist, optional

List of the edge number to create the wave port on. The list must have two entries, one entry for each of the two edges, or the method is not executed.

Returns:
pyaedt.modules.Boundary.BoundaryObject3dLayout

Port objcet port when successful, False when failed.

References

>>> oEditor.CreateEdgePort